{
    attributes = (
        {
            columnName = "EXE_EXERCICE"; 
            externalType = NUMBER; 
            name = exeExercice; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, exeExercice); 
    className = "org.cocktail.application.serveur.eof.EOExerciceCocktail"; 
    classProperties = (exeExercice, exercice); 
    externalName = "JEFY_ADMIN.EXERCICE_COCKTAIL"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (exeExercice, exerciceComptable, exercice); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOExerciceCocktail"; 
    }; 
    isReadOnly = Y; 
    name = "ca_ExerciceCocktail"; 
    primaryKeyAttributes = (exeOrdre); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            internalInfo = {"_nameInObjectStore" = exerciceComptable; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
